On a RPM based machine, like fedora, Centos etc. This library linking problem is fixed by installing zlib-devel. You can install it using below yum command.

yum install zlib-devel

Advertisements